Subject: Re: [PATCH v4 0/9] Make submodules work if .gitmodules is not checked out

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 24 Aug 2018 16:38:57 +0200

On Fri, Aug 24 2018, Antonio Ospite wrote:

> this series teaches git to try and read the .gitmodules file from the
> index (:.gitmodules) and the current branch (HEAD:.gitmodules) when it
> is not readily available in the working tree.

FWIW I didn't read any of the earlier series's, and I'm not that
familiar with the submodule code, but having skimmed this all (not live
tested at all) nothing jumped out at me as an issue, I just had some
minor style / potential memory leak nits on 1/9.